*******************************************************************************
*                                                                             *
*                   TEST program to run VEDIT_MEMO_EDITOR()                   *
*                                                                             *
*                        (c) 1992  -  Jayson R. Minard                        *
*                                                                             *
*******************************************************************************

#INCLUDE SYSTEM.HDR
#INCLUDE IO.HDR
#INCLUDE vlist.hdr
#INCLUDE vmouse.hdr
#INCLUDE vedit.hdr
#INCLUDE COLORS.HDR
#INCLUDE STRING.HDR

VARDEF EXTERN
  BYTE  __color_std, __color_enhcd
ENDDEF

DBFDEF test_dbf
  CHAR( 40 )  name
  DATE        birth
  MEMO        notes
ENDDEF


PROCEDURE FORCE_MAIN

  VARDEF
    LOGICAL is_mouse
    UINT    ret_val
  ENDDEF

  IF .NOT. EXIST( "test2.dbf" )
    BUILD "test2.dbf" FROM ALIAS test_dbf
    OPEN "test2.dbf" ALIAS test_dbf
    APPEND BLANK
  ELSE
    OPEN "test2.dbf" ALIAS test_dbf
  ENDIF

  SET SCOREBOARD OFF
  set_insert_key( .T. )

  IF Vmouse_Init() = 0
    is_mouse = .F.
  ELSE
    is_mouse = .T.
    Vmouse_Reset()
  ENDIF

  CLEAR

  __color_enhcd = &blue_white
  __color_std   = &black_light_grey
  __color_enhcd = &black_white
  FILL( 0, 0, 21, 79, &double_box, " ", &blue_white, __color_std, 0 )
  __color_bar   = &blue_light_grey
  __color_tab   = &blue_white

  ret_val = VEdit_Memo_Editor( test_dbf->notes, 1, 1, 20, 78, 1, 1, 78, 132,;
                               &blue_yellow, .T., .F., is_mouse,;
                               .T., 21, 2,;
                               is_mouse, .F., 3, 5, VEdit_Key_Handler )

  CLEAR
  @10, 0
  ?
  ? "return code = ", ret_val

  IF is_mouse
    Vmouse_Reset()
    Vmouse_Cursor( .F. )
  ENDIF

  CLOSE ALL

ENDPRO
